org.apache.ignite.internal.visor.cache

## Class VisorCacheDefaultConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheDefaultConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheDefaultConfiguration
    extends Object
    implements Serializable

Data transfer object for default cache configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheDefaultConfiguration()`

### Method Summary

Methods
`static VisorCacheDefaultConfiguration` `from(CacheConfiguration ccfg)`
`String` `toString()`
`long` `txLockTimeout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheDefaultConfiguration

    public VisorCacheDefaultConfiguration()

### Method Detail

#### from

    public static VisorCacheDefaultConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for default cache configuration properties.

#### txLockTimeout

    public long txLockTimeout()

Returns:
  Default transaction timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015